# (c) Alexey Chupahin 07-MAY-2009
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.2,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([]) \
          /OPTIMIZE=(INLINE=SPEED) /NAME=AS_IS 
CFLAGS_STAT =  /INCLUDE=([]) \
          /OPTIMIZE=(INLINE=SPEED) 

OBJ=\
adler32.obj,\
compress.obj,\
crc32.obj,\
deflate.obj,\
infback.obj,\
inffast.obj,\
inflate.obj,\
inftrees.obj,\
trees.obj,\
uncompr.obj,\
gzclose.obj,\
gzlib.obj,\
gzread.obj,\
gzwrite.obj,\
zutil.obj



ALL : LIBZSHR.EXE LIBZ.OLB
	$!
LIBZSHR.EXE : LIBZSHR.OLB
        LINK/SHARE=LIBZSHR.EXE ADLER32.OBJ,[]LIBZSHR/LIB,ZLIB$DEF/OPT

LIBZSHR.OLB : $(OBJ)
        LIB/CREA []LIBZSHR $(OBJ)

LIBZ.OLB : $(OBJ)
        LIB/CREA []LIBZ *.OBJ_

adler32.obj : adler32.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

compress.obj : compress.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

crc32.obj : crc32.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

deflate.obj : deflate.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

example.obj : example.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

infback.obj : infback.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

inffast.obj : inffast.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

gzclose.obj : gzclose.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

gzlib.obj : gzlib.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

gzread.obj : gzread.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

gzwrite.obj : gzwrite.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /DEF=("NO_vsnprintf=1") /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /DEF=("NO_vsnprintf=1") /OBJ=$(MMS$TARGET)_

inflate.obj : inflate.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

inftrees.obj : inftrees.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

minigzip.obj : minigzip.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

trees.obj : trees.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

uncompr.obj : uncompr.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_

zutil.obj : zutil.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
         $(CC) $(CFLAGS_STAT) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)_
 
CLEAN :
	DEL [...]*.OBJ;*
	DEL [...]*.OBJ_;*
	DEL [...]*.OLB;*
	DEL [...]*.EXE;*
